<?php 
/**
 * Ahead WebSoft Technologies Pvt Ltd.
 * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
 * @license    https://www.socialengine.com/policies
*/
?>
<?php include APPLICATION_PATH .  '/application/modules/Pulse/views/scripts/_adminHeader.tpl';?>

<div class='clear'>
  <div class='settings'>
    <?php echo $this->form->render($this); ?>
  </div>
</div>

<script>
  en4.core.runonce.add(function() {
    usegooglefont('<?php echo Engine_Api::_()->getApi('settings', 'core')->getSetting('pulse.googlefonts', 0);?>');
  });
  
  function usegooglefont(value) {
    if(value == 1) {
      if(document.getElementById('pulse_bodygrp'))
        document.getElementById('pulse_bodygrp').style.display = 'none';
      if(document.getElementById('pulse_headinggrp'))
        document.getElementById('pulse_headinggrp').style.display = 'none';
      if(document.getElementById('pulse_mainmenugrp'))
        document.getElementById('pulse_mainmenugrp').style.display = 'none';
      if(document.getElementById('pulse_tabgrp'))
        document.getElementById('pulse_tabgrp').style.display = 'none';
      if(document.getElementById('pulse_googlebodygrp'))
        document.getElementById('pulse_googlebodygrp').style.display = 'block';
      if(document.getElementById('pulse_googleheadinggrp'))
        document.getElementById('pulse_googleheadinggrp').style.display = 'block';
      if(document.getElementById('pulse_googlemainmenugrp'))
        document.getElementById('pulse_googlemainmenugrp').style.display = 'block';
      if(document.getElementById('pulse_googletabgrp'))
        document.getElementById('pulse_googletabgrp').style.display = 'block';
    } else {
      if(document.getElementById('pulse_bodygrp'))
        document.getElementById('pulse_bodygrp').style.display = 'block';
      if(document.getElementById('pulse_headinggrp'))
        document.getElementById('pulse_headinggrp').style.display = 'block';
      if(document.getElementById('pulse_mainmenugrp'))
        document.getElementById('pulse_mainmenugrp').style.display = 'block';
      if(document.getElementById('pulse_tabgrp'))
        document.getElementById('pulse_tabgrp').style.display = 'block';
      if(document.getElementById('pulse_googlebodygrp'))
        document.getElementById('pulse_googlebodygrp').style.display = 'none';
      if(document.getElementById('pulse_googleheadinggrp'))
        document.getElementById('pulse_googleheadinggrp').style.display = 'none';
      if(document.getElementById('pulse_googlemainmenugrp'))
        document.getElementById('pulse_googlemainmenugrp').style.display = 'none';
      if(document.getElementById('pulse_googletabgrp'))
        document.getElementById('pulse_googletabgrp').style.display = 'none';
    }
  }
</script>
<script type="application/javascript">
  scriptJquery('.core_admin_main_pulse').parent().addClass('active');
</script>
